Skip to main content
`Ctrl`+`K`

# numpy.ma.isMaskedArray

ma.isMaskedArray(x)

  Test whether input is an instance of MaskedArray.

  This function returns True if x is an instance of MaskedArray and returns False otherwise. Any object is accepted as input.

  Parameters:
    x object

      Object to test.

  Returns:
    result bool

      True if x is a MaskedArray.

  See also

  `isMA`

    Alias to isMaskedArray.

  `isarray`

    Alias to isMaskedArray.

  Examples

      >>> import numpy as np
      >>> import numpy.ma as ma
      >>> a = np.eye(3, 3)
      >>> a
      array([[ 1.,  0.,  0.],
             [ 0.,  1.,  0.],
             [ 0.,  0.,  1.]])
      >>> m = ma.masked_values(a, 0)
      >>> m
      masked_array(
        data=[[1.0, --, --],
              [--, 1.0, --],
              [--, --, 1.0]],
        mask=[[False,  True,  True],
              [ True, False,  True],
              [ True,  True, False]],
        fill_value=0.0)
      >>> ma.isMaskedArray(a)
      False
      >>> ma.isMaskedArray(m)
      True
      >>> ma.isMaskedArray([0, 1, 2])
      False